From: Morten Kjeldgaard <mok@bioxray.au.dk>
Subject: modification to source code


--- a/src/Mol.h
+++ b/src/Mol.h
@@ -165,22 +165,22 @@
   void Transform(const Point3f &ax,const  Point3f &ay,const Point3f &az);  
   
   void ScaleTransl(float scale){
-    for (int i=0; i<atom.size(); i++) 
+    for (int i=0; i < (int)atom.size(); i++)
     atom[i].ScaleTransl( -tx0, -ty0, scale);
   }
   
   void SmoothTexture(vector<Byte> &t, int siz){
-    for (int i=0; i<atom.size(); i++) 
+    for (int i=0; i < (int)atom.size(); i++)
     atom[i].SmoothTexture(t,siz);
   }
 
   void SmoothTexture(vector<int> &t, int siz){
-    for (int i=0; i<atom.size(); i++) 
+    for (int i=0; i < (int)atom.size(); i++)
     atom[i].SmoothTexture(t,siz);
   }
   
   void Zero() {
-    for (int i=0; i<atom.size(); i++) 
+    for (int i=0; i < (int)atom.size(); i++)
     atom[i].s.Zero();
   }
   
@@ -217,7 +217,7 @@
   bool DecentAO(); // true if AO (being computed) is "decent"
   
   // for testing purposes
-  bool PrepareAOSingleView();
+  void PrepareAOSingleView();
   
   int natm, nhetatm;  // number of atoms of type hetatm and not ...
 
